exchTest {copula} | R Documentation

## Test of Exchangeability for a Bivariate Copula

### Description

Test for assessing the exchangeability of the underlying bivariate copula based on the empirical copula. The test statistics are defined in the first two references. Approximate p-values for the test statistics are obtained by means of a multiplier technique.

### Usage

    exchTest(x, N = 1000, m = 0)

### Arguments

`x` | a data matrix that will be transformed to pseudo-observations.
`N` | number of multiplier iterations to be used to simulate realizations of the test statistic under the null hypothesis.
`m` | if `m=0`, integration in the Cramér–von Mises statistic is carried out with respect to the empirical copula; if `m > 0`, integration is carried out with respect to the Lebesgue measure and `m` specifies the size of the integration grid.

### Details

More details are available in the two first references.

### Value

Returns a list whose attributes are:

`statistic` | value of the test statistic.
`p.value` | corresponding approximate p-value.

### Note

This test was derived under the assumption of continuous margins, which implies that ties occur with probability zero. The presence of ties in the data might substantially affect the approximate p-value. One way of dealing with ties was suggested in the last reference.

### References

Genest, C., G. Nešlehová, J. and Quessy, J.-F. (2012). Tests of symmetry for bivariate copulas. Annals of the Institute of Statistical Mathematics. In press.

Kojadinovic, I. and Yan, J. (2012). A nonparametric test of exchangeability for extreme-value and left-tail decreasing bivariate copulas. The Scandinavian Journal of Statistics. In press.

Kojadinovic, I. and Yan, J. (2010). Modeling Multivariate Distributions with Continuous Margins Using the copula R Package. Journal of Statistical Software, 34(9), pages 1-20.

### See Also

`exchEVTest`, `gofCopula`.

### Examples

    ## Data from an exchangeable copulas
    exchTest(rCopula(200,  gumbelCopula(3)))
    exchTest(rCopula(200, claytonCopula(3)))

    ## An asymmetric Khoudraji-Clayton copula
    kc <- khoudrajiCopula(copula1 = indepCopula(),
                          copula2 = claytonCopula(6),
                          shapes = c(0.4, 0.95))
    exchTest(rCopula(200, kc))

[Package copula version 0.999-15 Index]